DROP TABLE IF EXISTS `advertising_campaigns`;
CREATE TABLE IF NOT EXISTS `advertising_campaigns` (
  `campaign_id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `campaign_name` varchar(250) DEFAULT NULL,
  `user_id` int(11) DEFAULT NULL,
  `contact_id` int(11) DEFAULT NULL,
  `posted_by` varchar(100) NOT NULL DEFAULT '',
  `dateposted` datetime NOT NULL,
  `startdate` date DEFAULT NULL,
  `enddate` date DEFAULT NULL,
  `duration` int(11) unsigned DEFAULT '0',
  `target_advertising` char(1) DEFAULT NULL,
  `target_blog` char(1) DEFAULT NULL,
  `target_classifieds` char(1) DEFAULT NULL,
  `target_directory` char(1) DEFAULT NULL,
  `target_events` char(1) DEFAULT NULL,
  `target_forum` char(1) DEFAULT NULL,
  `target_helpdesk` char(1) DEFAULT NULL,
  `target_jobs` char(1) DEFAULT NULL,
  `target_media` char(1) DEFAULT NULL,
  `target_onlinestore` char(1) DEFAULT NULL,
  `target_newsletters` char(1) DEFAULT NULL,
  `target_surveys` char(1) DEFAULT NULL,
  `type` char(1) DEFAULT 'H',
  `price` double(10,2) DEFAULT '0.00',
  `banner` varchar(250) NOT NULL,
  `url` varchar(250) NOT NULL,
  `impression` int(11) NOT NULL DEFAULT '0',
  `clicks` int(11) NOT NULL DEFAULT '0',
  `displayed` char(1) NOT NULL DEFAULT 'N',
  `ad_payment` char(1) DEFAULT 'N',
  `edited_flag` tinyint(3) NOT NULL DEFAULT '0',
  `status` varchar(20) DEFAULT 'N',
  PRIMARY KEY (`campaign_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

INSERT INTO `advertising_campaigns` (`campaign_id`, `campaign_name`, `user_id`, `contact_id`, `posted_by`, `dateposted`, `startdate`, `enddate`, `duration`, `target_advertising`, `target_blog`, `target_classifieds`, `target_directory`, `target_events`, `target_forum`, `target_helpdesk`, `target_jobs`, `target_media`, `target_onlinestore`, `target_newsletters`, `target_surveys`, `type`, `price`, `banner`, `url`, `impression`, `clicks`, `displayed`, `ad_payment`, `edited_flag`, `status`) VALUES
(1, 'Amazing Technologies', NULL, 1, 'Jimmy Test', DATE_SUB(NOW(),INTERVAL 10 DAY), DATE_SUB(NOW(),INTERVAL 10 DAY), DATE_ADD(NOW(),INTERVAL 355 DAY), 12, 'Y', '', '', '', '', '', '', '', '', '', '', '', 'H', 120.00, 'banner1.png', 'http://www.google.com', 0, 0, 'N', 'P', 1, 'P'),
(2, 'Holiday Sales', NULL, 2, 'Nicole Test', DATE_SUB(NOW(),INTERVAL 5 DAY), DATE_SUB(NOW(),INTERVAL 5 DAY), DATE_ADD(NOW(),INTERVAL 360 DAY), 12, 'Y', '', '', '', '', '', '', '', '', '', '', '', 'H', 120.00, 'banner2.png', 'http://www.google.com', 0, 0, 'N', 'N', 1, 'P'),
(3, 'Practical Solutions', NULL, 3, 'Kareena Test', DATE_SUB(NOW(),INTERVAL 3 DAY), DATE_SUB(NOW(),INTERVAL 3 DAY), DATE_ADD(NOW(),INTERVAL 362 DAY), 12, 'Y', '', '', '', '', '', '', '', '', '', '', '', 'H', 120.00, 'banner3.png', 'http://www.google.com', 0, 0, 'N', 'N', 1, 'P');


DROP TABLE IF EXISTS `advertising_pricing`;
CREATE TABLE IF NOT EXISTS `advertising_pricing` (
  module text,
  horizontal_1_month_price double(10,2) default '0.00',
  horizontal_3_months_price double(10,2) default '0.00',
  horizontal_6_months_price double(10,2) default '0.00',
  horizontal_12_months_price double(10,2) default '0.00',
  vertical_1_month_price double(10,2) default '0.00',
  vertical_3_months_price double(10,2) default '0.00',
  vertical_6_months_price double(10,2) default '0.00',
  vertical_12_months_price double(10,2) default '0.00'
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS `advertising_information`;
CREATE TABLE IF NOT EXISTS `advertising_information` (
  `information_id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `title` varchar(250) DEFAULT NULL,
  `author` varchar(30) DEFAULT NULL,
  `content` text,
  `dateposted` datetime DEFAULT '0000-00-00 00:00:00',
  PRIMARY KEY (`information_id`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8;

INSERT INTO `advertising_information` (`information_id`, `title`, `author`, `content`, `dateposted`) VALUES
(1, 'Ads Overview', 'Allen Admin', '<p>Want to grow your business? Present your message to a targeted audience who is interested in buying your products and services. Although the ROI is not guaranteed, we have many success stories to tell. You can try it out with a small investment and adjust it over time to see how well it works for you.</br></br><img alt="" src="%webroot_dir%documents/advertising/ads.jpg"/></br></br>Our advertising service provides you with the following benefits: </br>1. Reach a high-quality, targeted audience.</br>2. Flexible ad campaigns based on your budget.</br>3. Adjustable banner rotation system.</br>4. You control the location and frequency of display.</br>5. Easy to use and effective.</p><p>To start, simply log into your account and go to Site Postings > Advertising section for more information.</p>\r\n\r\n  <p><a href="%webroot_dir%frontend/contacts/login">Get Started Now</a></p>\r\n\r\n', '2014-1-5 10:00:00'),
(2, 'How It Works', 'Allen Admin', '<p>Our ads service is by subscription. You have the option to place one or more banners, and the ads will be seen by tens of thousands of people on our site. Some example banner ads are as follows:</p></br><p><img alt="" src="%webroot_dir%documents/advertising/banner1.png"/></p>\r\n\r\n<p><img alt="" src="%webroot_dir%documents/advertising/banner2.png"/></p>\r\n\r\n<p><img alt="" src="%webroot_dir%documents/advertising/banner3.png"/></p>\r\n\r\n</br>You can advertise on any site, however, our site offers you high-quality prospects. When you ads match our site contents, you are almost guaranteed to have a high conversion rate. At the least, you get the right people to consider your offerings.</p>\r\n\r\n<p>You pick where on our site to have the ads displayed and how long the ads will run. Different campaigns can be run so that you can test the results to see which ones work best for you.</p>\r\n\r\n <p>To sign up, log into your user account and go to Site Postings. Then click on Advertising to start creating a new ad. You have full control over how the ads are run. Your ads can be paid using credit card and/or other payment options provided.</p>\r\n\r\n<p>Once we approve your ad, it will be displayed on our site immediately. Your ads reach an audience that would be most interested in your offerings. They can click on the ads to go to your site or a landing page for more info. You can then sell them whatever you want.', '2014-1-5 10:00:00'),
(3, 'Billing & Reporting', 'Allen Admin', '<p>Ads billing and payment are made when you place a new ad. The ad will run until it expires. At this time, manual renewal is required to continue the ad campaign.</p>\r\n\r\n <p>When you place an ad, you can specify which section or module of our site is to be used. The pricing for an ad location is based on traffic and popularity. You can see the pricing information by creating a new ad in your account area.</p>\r\n\r\n<p>Our Reporting shows you the number of impressions and clicks for each ad. We encourage you to use a landing page for each ad to register the ad response so that you can measure the conversion rate.</br></br><img alt="" src="%webroot_dir%documents/advertising/reporting.jpg"/></br></br>You can also use Google Analytics to compare the results. Beware that the numbers may not always match because of how the two reporting systems work.</p>\r\n\r\n<p>What about refund? Sorry we do not provide any refund because there are many factors involved in an ad campaign, including banner design and type of message. We do not guarantee results but will do our best to help you benefit from our ads service.</p>\r\n', '2014-1-5 10:00:00');


/* Also update "Use Default" data in Model setting file. */
DROP TABLE IF EXISTS `advertising_settings`;
CREATE TABLE IF NOT EXISTS `advertising_settings` (
  `useroption` varchar(100) NOT NULL DEFAULT '',
  `setting` text
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

INSERT INTO `advertising_settings` (`useroption`, `setting`) VALUES
('advertising_homepage_display', 'header_general'),
('advertising_homepage_header', ''),
('advertising_homepage_info', ''),
('advertising_homepage_content', ''),
('advertising_orderalert', 'Yes'),
('advertising_ordersubject', 'Thank You for Your Purchase'),
('advertising_orderbody', 'Here''s a summary of your order. We will follow up with more information soon.\r\n\r\n[order_summary]'),
('advertising_purchasealert', 'Yes'),
('advertising_purchasesubject', 'Congratulation! You Got a New Order'),
('advertising_purchasebody', 'Here''s a summary of the order:\r\n\r\n[order_summary]'),
('advertising_information', 'Yes'),
('advertising_menu_header', 'Categories'),
('advertising_sortinformation', 'alphabetically'),
('advertising_default_horizontal_1_month_price', '20.00'),
('advertising_default_horizontal_3_months_price', '50.00'),
('advertising_default_horizontal_6_months_price', '80.00'),
('advertising_default_horizontal_12_months_price', '120.00'),
('advertising_default_vertical_1_month_price', '20.00'),
('advertising_default_vertical_3_months_price', '50.00'),
('advertising_default_vertical_6_months_price', '80.00'),
('advertising_default_vertical_12_months_price', '120.00'),
('advertising_addeditalert', 'Yes'),
('advertising_addeditsubject', 'Ad Campaign Added/Edited'),
('advertising_addeditmessage', 'An ad campaign has been added/edited:\r\n\r\n[details]'),
('advertising_approvedalert', 'Yes'),
('advertising_approvedsubject', 'Ad Campaign Approved'),
('advertising_approvedmessage', 'Congratulations! Your ad campaign has been approved. Please see the details below:\r\n\r\n[details]\r\n\r\nRegards,\r\nSite Editors'),
('advertising_rejectedalert', 'Yes'),
('advertising_rejectedsubject', 'Ad Campaign Rejected'),
('advertising_rejectedmessage', 'Hello, sorry we cannot accept your ad campaign below because it does not meet our editorial policy.\r\n\r\n[details]\r\n\r\nRegards,\r\nSite Editors'),
('rate_id', '16');