var allowed_sms_char = 160;
                    
var character_assignment = [
    {'text': '[contact_first_name]', 'count': 10},
    {'text': '[contact_last_name]', 'count': 0}, //ignore for now
    {'text': '[business_name]', 'count': 20},
    {'text': '[date]', 'count': 10},
    {'text': '[time]', 'count': 8},
    {'text': '[phone_number]', 'count': 10}
];

function get_character_count(str)
{
    var character_count = str.length;
            
    for(var i in character_assignment)
    {
        if(str.indexOf(character_assignment[i].text) != -1)
        {
            var current_string = new String(character_assignment[i].text);
            var current_length = current_string.length;
            var real_length = character_assignment[i].count;
            var diff = current_length - real_length;
            
            character_count -= diff;
        }
    }
    
    return character_count;
}

function sms_keyup()
{
    var textarea_id = $(this).attr('id');
    var counter_div = $('.counter_'+textarea_id);
    
    var characters = new String($(this).val());
    var character_count = get_character_count(characters);
    
    var left = allowed_sms_char - character_count;
    
    if(left == 1 || left == 0)
    {
        counter_div.html('Approximately ' + left + ' character left');
    }
    else
    {
        counter_div.html('Approximately ' + left + ' characters left');
    }
    
    if(left < 0)
    {
        $(this).keydown();
    }
}

function sms_keydown(event)
{
    var characters = new String($(this).val());
    var character_count = get_character_count(characters);
    
    if ( event.keyCode == 46 || event.keyCode == 8 || event.keyCode == 9) 
    {
        // let it happen, don't do anything
    }
    else
    {
        if(character_count >= allowed_sms_char)
        {
            //truncate if exceed
            if(character_count > allowed_sms_char)
            {
                characters = characters.substr(0, characters.length - 1);
                $(this).val(characters);
                $(this).keydown();
            }
            
            event.preventDefault();    
        }
    }
}

function add_sms_character_counter(obj)
{
    var textarea_id = obj.attr('id');
    
    var body_font_size = new String($('body').css('font-size'));
    body_font_size = parseInt(body_font_size.replace("px", ""));
    var applied_font_size = body_font_size - 2;
	
    $('.sms_counter_area_text').append('<div class="counter_'+textarea_id+'" style="text-align:left; margin-bottom: 10px; margin-top: -5px; font-size: '+applied_font_size+'px; font-style:italic; text-align: right;"></div>');
    
    obj.keydown(sms_keydown);
    obj.keyup(sms_keyup);
    obj.blur(sms_keydown);
    obj.blur(sms_keyup);
    obj.keyup();
}

function remove_sms_character_counter(obj)
{
    var textarea_id = obj.attr('id');
    var counter_div = $('.counter_'+textarea_id);
    obj.css('margin-bottom', '10px');
    counter_div.remove();
    obj.unbind('keydown', sms_keydown);
    obj.unbind('keyup', sms_keyup);
    obj.unbind('blur', sms_keydown);
    obj.unbind('blur', sms_keyup);
}